# PoolConfiguratorStorage

[Git Source](https://github.com/isle-labs/isle-contract/blob/main/contracts/PoolConfiguratorStorage.sol)

**Inherits:** [IPoolConfiguratorStorage](https://github.com/isle-labs/isle-docs/blob/main/docs/contracts/interfaces/IPoolConfiguratorStorage.md)

## State Variables

### \_config

```solidity
PoolConfigurator.Config internal _config;
```

### admin

```solidity
address public override admin;
```

### asset

```solidity
address public override asset;
```

### pool

```solidity
address public override pool;
```

### buyer

```solidity
address public override buyer;
```

### poolCover

```solidity
uint256 public override poolCover;
```

### isSeller

```solidity
mapping(address => bool) public override isSeller;
```

### isLender

```solidity
mapping(address => bool) public override isLender;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.isle.finance/contract-documentation/poolconfiguratorstorage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
